<!DOCTYPE html>
<html <?php language_attributes(); ?>>
    <head>
        <meta http-equiv="content-type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('charset'); ?>" />
        <meta name="description" content="<?php echo esc_attr(get_bloginfo('description')); ?>" />
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />
        <?php wp_head(); ?>
        <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.5/js/bootstrap.min.js"></script>
    </head>
    <body <?php body_class(); ?>>
        <div class="container">
            <div class="top-left-bar col-lg-6 col-sm-6">
                <?php dynamic_sidebar("topbar_left"); ?>
            </div>
            <div class="top-right-bar col-lg-6 col-sm-6">
                <?php dynamic_sidebar("topbar_right"); ?>
            </div> 
        </div> 
        <nav class="my-nav navbar-inverse">
            <div class="container">
                <div class="navbar-header col-lg-3">
                    <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#menuToggle" aria-expanded="false">
                        <span class="sr-only">Toggle navigation</span>
                        <span class="icon-bar"></span>
                        <span class="icon-bar"></span>
                        <span class="icon-bar"></span>
                    </button>
                    <a class="navbar-brand" href="<?php echo esc_url(home_url('/')); ?>"><?php dynamic_sidebar("logo"); ?></a>
                </div>

                <div id="menuToggle" class="navbar-toggle collapsed collapse">
                    <?php wp_nav_menu(array('menu' => 'main', 'container' => '', 'items_wrap' => '<ul id="main-menu" class="nav navbar-nav navbar-left">%3$s</ul>')); ?>
                </div>
                <div id="desktop" class="col-lg-9 pull-right">
                    <?php wp_nav_menu(array('menu' => 'main', 'container' => '', 'items_wrap' => '<ul id="main-menu" class="nav navbar-nav navbar-right">%3$s</ul>')); ?>
                </div>
        </nav>
        <script type="text/javascript">
            jQuery(document).ready(function () {
                if (jQuery("#main-menu > li").hasClass('menu-item-has-children')) {
                    jQuery("#main-menu > li.menu-item-has-children > a").append('<span class="caret"></span>');
                } else {
                    jQuery("#main-menu > li.menu-item-has-children > a").find('span').remove();
                }

            });
        </script>
    </div><!-- .container -->
